const mongoose = require('mongoose');

const ideas_schema = new mongoose.Schema({
    userDB_id: {
        type: mongoose.Schema.Types.ObjectId,
        ref: 'users',
        required: true,
    },
    
    ideas: {
        type: String,
        required: true,

        
    },


    insert_date: {
        type: Date,
        default: Date.now,
    },
});

const ideas_module = mongoose.model('ideas', ideas_schema);

module.exports = ideas_module;